EDIT - bug #9166

ClassCastException when editing media in taxon bulkeditor
07/29/2020 11:29 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.17

Severity: major Found in Version:

Description

while editing media of a taxon in bulkeditor the following exception appears:

last remote method : http://localhost:52913/remoting/common.service

last remote request client time : 2020-07-09T22:57:15.94

last remote request response header time : Thu, 9 Jul 2020 22:57:15 +0200
client error time : 2020-07-09T22:57:56.004

login : admin
editor version : 5.17.0.202007081029
server : localhost (localhost mgd.) / Cyprus production

schema version : 5.15.2.0.20200611
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.ClassCastException: eu.etaxonomy.cdm.model.media.Media cannot be cast to eu.etaxonomy.cd
m.model.taxon.TaxonBase

at eu.etaxonomy.taxeditor.bulkeditor.input.TaxonEditorInput.addSaveCandidate (Taxon
EditorInput.java:1l)

at eu.etaxonomy.taxeditor.bulkeditor.ed4.BulkEditorE4.changed (BulkEditorE4.java:264

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.changed (AbstractCdmEdito
rPartE4.java:188)

at eu.etaxonomy.taxeditor.editor.view.media.e4.MediaViewPartE4.changed (MediaViewPa
rtE4.java:130)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.changed (AbstractCdmEdito
rPartE4. java:188)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.markViewPartDirty (Abstra
ctCdmDataViewerE4.java:110)

at eu.etaxonomy.taxeditor.view.ed4.details.DetailsViewerE4.markViewPartDirty (Detail
sViewerE4. java:222)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4$1.dirtyStateChanged (Abst
ractCdmDataViewerE4. java:80)

at org.eclipse.ui.forms.AbstractFormPart.markDirty (AbstractFormPart. java:93)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.propertyChange (CdmSectionPart
.java:209)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEven
t (AbstractCdmFormElement. java:255)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement .modifyText (TextWithLabel
Element.java:178)

at eu.etaxonomy.taxeditor.ui.element.LanguageStringWithLabelElement .modifyText (Lan
guageStringWithLabelElement. java:93)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1084)

at org.eclipse.swt.widgets.Text.wmCommandChild (Text.java:3122)

at org.eclipse.swt.widgets.Control.WM_COMMAND (Control.java:4947)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4802)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:5123)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2446)
swt.internal.win32.0S.DispatchMessageW (Native Method)
swt.internal.win32.0S.DispatchMessage (0S.java:2552)
swt.widgets.Display.readAndDispatch (Display. java:3822)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)
Associated revisions

Revision adeade3d - 07/29/2020 11:34 AM - Katja Luther

fix #9166: avoid class cast exception while editing media in taxon bulk editor

Revision 361694e2 - 07/29/2020 03:06 PM - Katja Luther

fix #9166: avoid class cast exception while editing namedescriptions in taxon bulk editor

History

#1 - 07/29/2020 11:31 AM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditorladea4e3df7091422f3341c56efdcca5231b5e7e3.

#2 - 07/29/2020 11:40 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

- Severity changed from normal to blocker

This exception was thrown because the correct handling of the change event for media was missing, this is fixed now.

Please review.

#3 - 08/12/2020 04:05 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/adea4e3df7091422f3341c56efdcca5231b5e7e3

- Priority changed from New to Highest
- % Done changed from 50 to 100

- Severity changed from blocker to major

Seems to work as expected

#4 - 08/19/2020 08:41 PM - Andreas Miuller

- Target version changed from Release 5.18 to Release 5.17
